Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Griffith is a film collection manager application
Name:		griffith
Version:	0.9.9
Release:	1
License:	GNU/GPL V2
URL:		http://www.griffith.cc
Group:		Multimedia
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-extra-artwork-0.9.4.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python >= 2.3
Requires:	PyGTK
Requires:	python-sqlite
Requires:	python-sqlalchemy
Requires:	python-reportlab
Requires:	PIL
Requires:	PyXML
# Optional
Requires:	python-chardet

BuildArch:	noarch

%description
Griffith is a film collection manager application. Adding items
to the movie collection is as quick and easy as typing the film
title and selecting a supported source. Griffith will then try
to fetch all the related information from the Web.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version} -a1
%__mv %{name}-extra-artwork-0.9.4 extra-artwork

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f %{buildroot}%{_bindir}/%{name}
pushd %{buildroot}%{_bindir}
	ln -s ../share/%{name}/lib/%{name} .
popd

# extra-artwork
pushd extra-artwork
	%__install -m 644 images/* \
		%{buildroot}%{_datadir}/%{name}/images
	for i in AUTHORS ChangeLog COPYING; do
		%__mv $i $i.extra-artwork
	done
popd

%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 data/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README NEWS TODO
%doc extra-artwork/*.extra-artwork
%_bindir
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lib
%{_datadir}/%{name}/lib/%{name}
%{_datadir}/%{name}/lib/*.py
%dir %{_datadir}/%{name}/lib/plugins
%{_datadir}/%{name}/lib/plugins/*.py
%dir %{_datadir}/%{name}/lib/plugins/export
%{_datadir}/%{name}/lib/plugins/export/*.py
%dir %{_datadir}/%{name}/lib/plugins/imp
%{_datadir}/%{name}/lib/plugins/imp/*.py
%dir %{_datadir}/%{name}/lib/plugins/movie
%{_datadir}/%{name}/lib/plugins/movie/*.py
%dir %{_datadir}/%{name}/lib/sqlalchemy
%{_datadir}/%{name}/lib/sqlalchemy/*
%dir %{_datadir}/%{name}/glade
%{_datadir}/%{name}/glade/*
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/*
%dir %{_datadir}/%{name}/export_templates
%{_datadir}/%{name}/export_templates/*
%{_mandir}
%{_applications}/*.desktop
%{_pixmaps}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 14 2009 Christian Wasem <wasem@ccux-linux.de> 0.9.9-1
- Version update
* Sat Jul 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.7-1
- Version update
* Thu Apr 17 2008 Christian Wasem <wasem@ccux-linux.de> 0.9.6-1
- initial release
